Bug 588615 - [abrt] crash in inkscape-0.47-2.fc12: gimp_xcf.py:37:effect:TypeError: 'NoneType' object is unsubscriptable
[abrt] crash in inkscape-0.47-2.fc12: gimp_xcf.py:37:effect:TypeError: 'NoneT...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: inkscape (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
abrt_hash:19b0ef02
:
Depends On:
Blocks: 653413
  Show dependency treegraph
 
Reported: 2010-05-04 01:41 EDT by Erik Johnson
Modified: 2010-12-03 10:07 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 10:07:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (602 bytes, text/plain)
2010-05-04 01:41 EDT, Erik Johnson
no flags Details

  None (edit)
Description Erik Johnson 2010-05-04 01:41:03 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
cmdline: python /usr/share/inkscape/extensions/gimp_xcf.py --guides=false --grid=false /tmp/ink_ext_XXXXXX.svg4MMSBV
component: inkscape
executable: /usr/share/inkscape/extensions/gimp_xcf.py
kernel: 2.6.32.11-99.fc12.x86_64
package: inkscape-0.47-2.fc12
reason: gimp_xcf.py:37:effect:TypeError: 'NoneType' object is unsubscriptable
release: Fedora release 12 (Constantine)

backtrace
-----
gimp_xcf.py:37:effect:TypeError: 'NoneType' object is unsubscriptable

Traceback (most recent call last):
  File "/usr/share/inkscape/extensions/gimp_xcf.py", line 173, in <module>
    e.affect()
  File "/usr/share/inkscape/extensions/inkex.py", line 207, in affect
    self.effect()
  File "/usr/share/inkscape/extensions/gimp_xcf.py", line 37, in effect
    docname = self.xpathSingle('/svg:svg/@sodipodi:docname')[:-4]
TypeError: 'NoneType' object is unsubscriptable

Local variables in innermost frame:
self: <__main__.MyEffect instance at 0x7ffa28106098>
svg_file: '/tmp/ink_ext_XXXXXX.svg4MMSBV'

How to reproduce
-----
1.Export many bitmaps (png)
2.Save the original svg to retainsaved filenames
3.Get many error screens then this
Comment 1 Erik Johnson 2010-05-04 01:41:06 EDT
Created attachment 411182 [details]
File: backtrace
Comment 2 Fabrício Godoy 2010-06-13 19:57:54 EDT
Package: inkscape-0.47-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Nothing.
2.
3.


Comment
-----
I'm was not working on Inkscape when something crashed, just closing a virtual machine.
Inkscape do not crashed at all, maybe some internal script.
Maybe some memory reallocation? I'm don't know.
Comment 3 mckie.william 2010-08-19 09:20:47 EDT
Package: inkscape-0.47-6.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. I was working on Inkscape 0.47.
2. I exported my work in the format PNJ, No error!
3. I run Netbeans 6.9.1 and the error occurs!
Comment 4 Bug Zapper 2010-11-03 11:42:27 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Jeremy Bennett 2010-11-16 10:05:22 EST
Package: inkscape-0.47-6.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
I had finished using Inkscape. This was either spontaneous, or due to some background process from earlier work.
Comment 6 Bug Zapper 2010-12-03 10:07:17 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.